Subject: Re: [bitcoin-dev] [patch] Switching Bitcoin Core to sqlite db

From: Jonathan Wilkins <[email-masked]>
Date: Tue, 17 Nov 2015 16:06:44 -0800

Benchmarks for various DBs under discussion:
http://symas.com/mdb/microbench/

On Mon, Oct 26, 2015 at 11:06 AM, Douglas Roark via bitcoin-dev <
[email-masked]> wrote:

> On 2015/10/23 03:30, Tom Zander via bitcoin-dev wrote:
> > On Thursday 22 Oct 2015 17:26:42 Jeff Garzik via bitcoin-dev wrote:
> >> It was noted that leveldb is unmaintained, and this is part of
> researching
> >> alternatives that are maintained and reliable.
> >
> > Apart from it being unmaintained, any links to what are problems with
> levelDB?
>
> While not exactly the most rigorous link,
> https://en.wikipedia.org/wiki/LevelDB#Bugs_and_Reliability seems like an
> okay place to start. One thing I can attest to is that, when Armory used
> LevelDB (0.8 - 0.92, IIRC), quite a few users had DB corruption issues,
> particularly on Windows. Even when a switch to LMDB occurred for 0.93,
> loads of complaints would come in from users whose LevelDB-based Core
> DBs would fail. I know that the guy who moved Armory over to LMDB would
> love to have more time in the day so that he could write a Core patch
> that does the same. It's a very sore spot for him.
>
> (FWIW, LMDB seems to work quite nicely, at least once you patch up the
> source a little bit. The latest version is also compatible with Core's
> cross-compiling scheme. I'd love to see it added to Core one day.)
>
> Doug
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>